#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-backgrounds-47.0

- Next

  gexiv2-0.14.3

- Up
- Home

# Gvfs-1.56.1

## Introduction to Gvfs

The Gvfs package is a userspace virtual filesystem designed to work with the I/O abstractions of GLib's GIO library.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gvfs/1.56/gvfs-1.56.1.tar.xz

- Download MD5 sum: 5ba12cd02b17c058aa71adc39c5eb6cf

- Download size: 1.2 MB

- Estimated disk space required: 29 MB

- Estimated build time: 0.1 SBU (using parallelism=4)

### Gvfs Dependencies

#### Required

dbus-1.16.0, GLib-2.82.5, Gcr-4.3.1, libusb-1.0.27, and libsecret-0.21.6

#### Recommended

GTK-3.24.48, libcdio-2.1.0, libgudev-238, libsoup-3.6.4, elogind-255.17, and UDisks-2.10.1

#### Optional

Apache-2.4.63, Avahi-0.8, BlueZ-5.79, Fuse-3.16.2, gnome-online-accounts-3.52.3.1, GTK-Doc-1.34.0, libarchive-3.7.7, libgcrypt-1.11.0, libgdata-0.18.1, libxml2-2.13.6, libxslt-1.1.42, OpenSSH-9.9p2, Samba-4.21.4, gnome-desktop-testing (for tests), libbluray, libgphoto2, libimobiledevice, libmsgraph, libmtp, libnfs, and Twisted

## Installation of Gvfs

Install Gvfs by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup               \
          --prefix=/usr       \
          --buildtype=release \
          -D onedrive=false   \
          -D fuse=false       \
          -D gphoto2=false    \
          -D afc=false        \
          -D bluray=false     \
          -D nfs=false        \
          -D mtp=false        \
          -D smb=false        \
          -D tmpfilesdir=no   \
          -D dnssd=false      \
          -D goa=false        \
          -D google=false     \
          -D systemduserunitdir=no .. &&
    ninja

The test suite requires gnome-desktop-testing, which is beyond the scope of BLFS.

Now, as the `root` user:

    ninja install

### Note

If you installed the package to your system using a “DESTDIR” method, `/usr/share/glib-2.0/schemas/gschemas.compiled` was not updated/created. Create (or update) the file using the following command as the `root` user:

    glib-compile-schemas /usr/share/glib-2.0/schemas

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D <option>=false`: These switches are required if the corresponding dependency is not installed. Remove those where you have installed the corresponding application and wish to use it with Gvfs. The dnssd option requires avahi and both goa and google require GNOME Online Accounts. The google option also requires libgdata. The onedrive support requires the libmsgraph package.

`-D tmpfilesdir=no` `-D systemduserunitdir=no`: These switches provide systemd directory locations. Setting them to “no” disables the dependency on systemd and logind.

`-D cdda=false`: This switch is required if libcdio is not installed. The cdda backend is useless on machines without a CDROM/DVD drive.

## Contents

Installed Programs: None
Installed Library: libgvfscommon.so, libgvfsdaemon.so and some under /usr/lib/gio/modules/
Installed Directories: /usr/include/gvfs-client and /usr/{lib,share}/gvfs

### Short Descriptions

`libgvfscommon.so` | contains the common API functions used in Gvfs programs

- Prev

  gnome-backgrounds-47.0

- Next

  gexiv2-0.14.3

- Up
- Home